//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Link do vídeo deste exemplo: https://youtu.be/DMhvJugT2fE

#include <Wire.h> 

#define ENDERECO_TARGET 8

bool status_led = 0;

void dadosRecebidos()
{
  status_led = Wire.read();

  digitalWrite(LED_BUILTIN, status_led);
}

void setup() 
{
  pinMode(LED_BUILTIN, OUTPUT);

  Wire.onReceive(dadosRecebidos); //Define uma função a ser chamada quando dados são enviados pelo controller.

  Wire.begin(ENDERECO_TARGET); //Inicializa a biblioteca, quando o endereço não for passado irá ser o controller no barramento I2C.
}

void loop() 
{

}
