//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Link do vídeo deste exemplo: https://youtu.be/DMhvJugT2fE

#include <Wire.h> 

#define ENDERECO_TARGET 8

bool status_led = 0;

void setup() 
{
  Wire.begin(); //Inicializa a biblioteca, quando o endereço não for passado irá ser o controller no barramento I2C.
}

void loop() 
{
   Wire.beginTransmission(ENDERECO_TARGET);

   status_led = !status_led; //Inverte o valor atual.

   Wire.write(status_led); //Prepara os dados a serem transmitidos no barramento I2C.

   Wire.endTransmission(); //Finaliza a transmissão e envia os dados pelo barramento I2C.

   delay(200);
}
